# @billogram/foundation-lightbox

> React lightbox components

## Install

```
yarn add @billogram/foundation-lightbox
```

## Usage

```tsx
import {
    FoundationLightbox,
    FoundationLightboxButton,
    FoundationLightboxConsumer,
    FoundationLightboxContent,
    FoundationLightboxOverlay,
    FoundationLightboxProvider,
    FoundationLightboxWizard,
    useLightbox,
} from '@billogram/foundation-lightbox';
```

See [types](src/types.ts) for exported types.

### [`FoundationLightbox`](src/FoundationLightbox.tsx)

```tsx
<FoundationLightbox>
    <FoundationLightboxContent
        description="Donut pudding brownie icing ice cream danish sesame snaps. Cotton candy lemon drops carrot cake danish apple pie marshmallow."
        hasClose={ true }
        title="Donut pudding brownie icing ice cream danish sesame snaps" />
</FoundationLightbox>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
